#include "dialogexportdxf.h"
#include "ui_dialogexportdxf.h"

DialogExportDXF::DialogExportDXF(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::DialogExportDXF)
{
    ui->setupUi(this);
}

DialogExportDXF::~DialogExportDXF()
{
    delete ui;
}

void DialogExportDXF::on_buttonBox_accepted()
{
    QString options;

    if(ui->inches->isChecked()) options += "-i ";
    if(ui->verbose->isChecked()) options += "-v ";
    if(ui->polyface->isChecked()) options += "-p ";

    if(ui->rt->value() != 0) options += "-x " + QString::number(ui->rt->value());
    if(ui->nmg->value() != 0) options += "-X " + QString::number(ui->nmg->value());

    if(ui->absolute->value() != 0) 		options += " -a " + QString::number(ui->absolute->value()) + " ";
    if(ui->relative->value() != 0) 		options += " -r " + QString::number(ui->relative->value()) + " ";
    if(ui->normal->value() != 0) 		options += " -n " + QString::number(ui->normal->value()) + " ";
    if(ui->calculational->value() != 0) options += " -D " + QString::number(ui->calculational->value()) + " ";

    emit optionsSet(options);
    this->close();
}

void DialogExportDXF::on_buttonBox_rejected()
{
    emit optionsSet("rejected");
    this->close();
}
