#include "dialogimportdxf.h"
#include "ui_dialogimportdxf.h"
#include <QMessageBox>

DialogImportDXF::DialogImportDXF(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::DialogImportDXF)
{
    ui->setupUi(this);
}

DialogImportDXF::~DialogImportDXF()
{
    delete ui;
}

void DialogImportDXF::on_buttonBox_accepted()
{
    QString options;

    if(ui->color->isChecked()) options += "-c ";
    if(ui->verbose->isChecked()) options += "-v ";
    if(ui->debug->isChecked()) options += "-d ";

    if(ui->tolerance->value() != 0) options += " -t " + QString::number(ui->tolerance->value()) + " ";
    if(ui->scale->value() != 0)		options += " -s " + QString::number(ui->scale->value()) + " ";

    if(ui->extrude->value() != 0)
    {

        if(!ui->name->text().isEmpty()) options += "@" + QString::number(ui->extrude->value()) + "@" + ui->name->text();
        else QMessageBox::warning(this, "No name", "You do not have any name entered\nWithout name you can not extrude");
    }

    emit optionsSet(options);
    this->close();
}

void DialogImportDXF::on_buttonBox_rejected()
{
    emit optionsSet("rejected");
    this->close();
}
