#ifndef BRLCAD_EDITOR_H
#define BRLCAD_EDITOR_H

#include "highlightercpp.h"
#include "highlighterascii.h"
#include "dialogexportstl.h"
#include "dialogexportdxf.h"
#include "dialogimportdxf.h"

#include <QMainWindow>
#include <QtWidgets>
#include <iostream>
#include <stdio.h>

namespace Ui {
class Editor;
}

class Editor : public QMainWindow
{
    Q_OBJECT

public:
    Editor(QWidget *parent = 0);

public slots:
    void about() { QMessageBox::about(this, tr("About BRL-CAD editor"), tr("<p>The <b>BRL-CAD editr</b> is OpenSCAD like alfa version of C++ script editor</p>")); }
    void newFile();
    void saveFile();
    void saveFileAs();
    void justRatetrace();
    void raterace();
    void openFile(QString path = QString());
    void openFileAscOrG();
    void refreshRtImage();

protected:
    bool eventFilter(QObject *watched, QEvent *event);

private slots:
    void exportAs(QString fileName = "");
    void importAs(QString fileName = "");

    void newExportImportOptions(QString newOptions) { exportImportOptions = newOptions; }
    void setRtAzimut(int i);
    void setRtElevation(int i);

private:
    Ui::Editor * ui;
    void setupEditor();
    void setupMenu();
    void setupRtImage();
    void setupErrorLog();

    //QTextEdit *editor;

    bool CppAvailable;

    HighlighterCpp *highlightercpp;
    HighlighterAscii *highlighterascii;

    QSignalMapper importMapper;
    QSignalMapper exportMapper;

    QPixmap * rtImage;
    QPixmap * rtImageScaled;
    QAction *fullScreenImage;
    int i;
    QString currentPath;
    QString currentPathPixmap;
    QString currentFileName; // name without extend
    QString currentFileNameExportedAsc; // name without extend

    QString compiler;
    QString additionalFiles;
    QString BRLCADbinPath;

    QString exportImportOptions;

    int rtAzimut, rtElevation;
};

#endif // EDITOR_H
